## fotocx 24.10

=== debian/changelog ===
fotocx (24.10-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.
  * App name change from fotoxx to fotocx.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 01 Feb 2024 17:54:56 -0800

fotoxx (23.82-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 19 Dec 2023 12:20:12 -0800

fotoxx (23.81-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 10 Dec 2023 08:29:06 -0800

fotoxx (23.80-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Dec 2023 10:08:40 -0800

fotoxx (23.74-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 03 Nov 2023 12:10:24 -0700

fotoxx (23.72-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 28 Oct 2023 05:56:07 -0700

fotoxx (23.70-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 06 Oct 2023 16:43:27 -0700

fotoxx (23.60-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Aug 2023 07:52:32 -0700

fotoxx (23.50-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 17 May 2023 14:10:50 -0700

fotoxx (23.32-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Apr 2023 18:48:31 -0700

fotoxx (23.31-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 04 Apr 2023 18:09:28 -0700

fotoxx (23.2-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 25 Mar 2023 19:44:37 -0700

fotoxx (23.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 02 Feb 2023 13:29:20 -0800

fotoxx (23.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 07 Jan 2023 07:10:10 -0800

fotoxx (22.41-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 05 Nov 2022 17:02:55 -0700

fotoxx (22.35-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 10 Oct 2022 19:19:23 -0700

fotoxx (22.31-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Sep 2022 06:27:25 -0700

fotoxx (22.30-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 07 Aug 2022 16:20:56 -0700

fotoxx (22.20-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 01 Jul 2022 07:49:58 -0700

fotoxx (22.18-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Jun 2022 18:25:48 -0700

fotoxx (22.16-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 05 May 2022 16:15:46 -0700

fotoxx (22.15-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 02 Apr 2022 05:46:45 -0700

fotoxx (22.14-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 12 Mar 2022 05:52:57 -0800

fotoxx (22.12-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 07 Feb 2022 16:33:18 -0800

fotoxx (22.1-1mx21+1) mx; urgency=medium

  * Rebuild for MX21.
  * New default icon sizes.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 08 Jan 2022 13:08:41 -0800

fotoxx (21.60-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 18 Oct 2021 18:54:00 -0700

fotoxx (21.55-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Oct 2021 13:09:15 -0700

fotoxx (21.52-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 04 Sep 2021 11:58:51 -0700

fotoxx (21.50-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 02 Aug 2021 14:31:57 -0700

fotoxx (21.44-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 04 Jul 2021 10:10:50 -0700

fotoxx (21.42-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 15 Jun 2021 20:00:55 -0700

fotoxx (21.41-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 06 Jun 2021 07:04:43 -0700

fotoxx (21.40-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 21 Apr 2021 16:42:38 -0700

fotoxx (20.08-2) unstable; urgency=medium

  * debian/control:
    - Add dcraw to Depends. (closes: #955727)
      Thanks to Alberto Luaces for the bug report and patch.

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 04 Apr 2020 13:54:45 -0300

fotoxx (20.08-1) unstable; urgency=medium

  * New upstream version 20.08
  * debian/copyright:
    - Update Copyright Years and contact email
    - Add https to Upstream contact webpage
    - Add license CC0 to appdata/fotoxx.metadata.xml
  * debian/patches:
    - Removes patch 0001-Add-primary-category-to-desktop-file.patch.
      (Applied by upstream)
    - Adds patches for switching off 'phone home' by default.
      Removes old 0002-Do-not-phone-home.patch.
    - Adds 0002-manage-has-bad-whatis-entry.patch
      Fix manpage line breaks and 'what is' section.
    - Adds/Edit Patches headers.
    - Updates series file.
  * debian/control:
    - Bumps Standars Version to 4.5.0.
    - Adds Rules-Requires-Root: no.
    - Updates package Description.


## fotocx 24.11

=== Makefile ===
#  fotocx Makefile
#
#  Following commands choose compiler and debug options
#  export CXX=g++          gnu compiler
#  export CXX=clang++      clang compiler
#  export DEBUG=x          debug build with address checking

CXXFLAGS += -fpermissive -Wno-write-strings 
CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
CXXFLAGS += -Wno-class-memaccess                      ## new restriction Oct 2023

ifeq ($(CXX), clang++)                                #  CLANG
   ifdef DEBUG
      CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-stringop-truncation
      LDFLAGS += -fsanitize=address
   else
      CXXFLAGS += -Wall -g -O2
   endif
else                                                  #  GCC
   ifdef DEBUG
      CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address            \
                  -Wno-format-truncation -Wno-stringop-truncation
      LDFLAGS += -fsanitize=address
   else
      CXXFLAGS += -Wall -g2 -rdynamic -O2                               \
                  -Wno-format-truncation -Wno-stringop-truncation
   endif
endif

PKG_CONFIG ?= pkg-config

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                              \
         `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`

LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
         -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
         -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12

ALLFILES = fotocx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.select.o f.meta.o    \
           f.edit.o f.repair.o f.refine.o f.effects.o f.warp.o f.comb.o f.mashup.o     \
           f.tools.o f.batch.o f.pixmap.o zfuncs.o

fotocx: $(ALLFILES)
	$(CXX) $(LDFLAGS) $(ALLFILES) $(LIBS) -o fotocx \

fotocx.o: fotocx.cc fotocx.h
	$(CXX) fotocx.cc $(CFLAGS) -o fotocx.o \

f.widgets.o: f.widgets.cc  fotocx.h
	$(CXX) f.widgets.cc $(CFLAGS) \

f.file.o: f.file.cc  fotocx.h
	$(CXX) f.file.cc $(CFLAGS) \

f.gallery.o: f.gallery.cc  fotocx.h
	$(CXX) f.gallery.cc $(CFLAGS) \

f.albums.o: f.albums.cc  fotocx.h
	$(CXX) f.albums.cc $(CFLAGS) \

f.select.o: f.select.cc  fotocx.h
	$(CXX) f.select.cc $(CFLAGS) \

f.meta.o: f.meta.cc  fotocx.h
	$(CXX) f.meta.cc $(CFLAGS) \

f.edit.o: f.edit.cc  fotocx.h
	$(CXX) f.edit.cc $(CFLAGS) \

f.repair.o: f.repair.cc  fotocx.h
	$(CXX) f.repair.cc $(CFLAGS) \

f.refine.o: f.refine.cc  fotocx.h
	$(CXX) f.refine.cc $(CFLAGS) \

f.effects.o: f.effects.cc  fotocx.h
	$(CXX) f.effects.cc $(CFLAGS) \

f.warp.o: f.warp.cc  fotocx.h
	$(CXX) f.warp.cc $(CFLAGS) \

f.comb.o: f.comb.cc  fotocx.h
	$(CXX) f.comb.cc $(CFLAGS) \

f.mashup.o: f.mashup.cc  fotocx.h
	$(CXX) f.mashup.cc $(CFLAGS) \

f.tools.o: f.tools.cc  fotocx.h
	$(CXX) f.tools.cc $(CFLAGS) \

f.batch.o: f.batch.cc  fotocx.h
	$(CXX) f.batch.cc $(CFLAGS) \

f.pixmap.o: f.pixmap.cc  fotocx.h
	$(CXX) f.pixmap.cc $(CFLAGS) \

zfuncs.o: zfuncs.cc  zfuncs.h
	$(CXX) zfuncs.cc $(CFLAGS) \

ifdef DEBUG
	@echo DEBUG BUILD
endif

# install application files in standard locations
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc/fotocx
MANDIR = $(PREFIX)/share/man/man1
MENUDIR = $(PREFIX)/share/applications
SHAREDIR = $(PREFIX)/share/fotocx
DATADIR = $(SHAREDIR)/data
IMAGEDIR = $(SHAREDIR)/images
ICONDIR = $(SHAREDIR)/icons
METAINFODIR = $(PREFIX)/share/metainfo
                                         
install: fotocx uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(MENUDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(IMAGEDIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(METAINFODIR)
	cp -f     fotocx $(DESTDIR)$(BINDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	cp -f -R  data/* $(DESTDIR)$(DATADIR)
	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)
	# man page
	gzip -fk -9 man/fotocx.man
	mv -f man/fotocx.man.gz $(DESTDIR)$(MANDIR)/fotocx.1.gz
	# desktop file and icon
	cp -f fotocx.desktop $(DESTDIR)$(MENUDIR)
	cp -f fotocx.png $(DESTDIR)$(ICONDIR)

uninstall:
	rm -f     $(DESTDIR)$(BINDIR)/fotocx
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f     $(DESTDIR)$(MANDIR)/fotocx.*
	rm -f     $(DESTDIR)$(MENUDIR)/fotocx.*
	rm -f -R  $(DESTDIR)$(SHAREDIR)
	rm -f     $(DESTDIR)$(METAINFODIR)/kornelix*

clean:
	rm -f  fotocx
	rm -f  *.o

=== debian/changelog ===
fotocx (24.11-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Feb 2024 16:00:32 -0800

## fotocx 24.30

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
          `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`
 
 LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
-         -lrt -lpthread -llcms2 -ltiff -lpng -ljpeg                                 \
+         -lrt -lpthread -ltiff -lpng -ljpeg                                         \
          -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12
 
 ALLFILES = fotocx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.select.o f.meta.o    \
@@ -101,46 +101,43 @@
 	@echo DEBUG BUILD
 endif
 
-# install application files in standard locations
-PREFIX ?= /usr
+# install application files in standard locations        24.21
+PREFIX ?= /usr/local
 BINDIR = $(PREFIX)/bin
+MENUDIR = $(PREFIX)/share/applications
 DOCDIR = $(PREFIX)/share/doc/fotocx
 MANDIR = $(PREFIX)/share/man/man1
-MENUDIR = $(PREFIX)/share/applications
-SHAREDIR = $(PREFIX)/share/fotocx
-DATADIR = $(SHAREDIR)/data
-IMAGEDIR = $(SHAREDIR)/images
-ICONDIR = $(SHAREDIR)/icons
+DATADIR = $(PREFIX)/share/fotocx
+ICONDIR = $(PREFIX)/share/icons
 METAINFODIR = $(PREFIX)/share/metainfo
                                          
 install: fotocx uninstall
 	mkdir -p  $(DESTDIR)$(BINDIR)
+	mkdir -p  $(DESTDIR)$(MENUDIR)
 	mkdir -p  $(DESTDIR)$(DOCDIR)
 	mkdir -p  $(DESTDIR)$(MANDIR)
-	mkdir -p  $(DESTDIR)$(MENUDIR)
 	mkdir -p  $(DESTDIR)$(DATADIR)
-	mkdir -p  $(DESTDIR)$(IMAGEDIR)
 	mkdir -p  $(DESTDIR)$(ICONDIR)
 	mkdir -p  $(DESTDIR)$(METAINFODIR)
-	cp -f     fotocx $(DESTDIR)$(BINDIR)
+
+	cp -f fotocx $(DESTDIR)$(BINDIR)
+	cp -f fotocx.desktop $(DESTDIR)$(MENUDIR)
 	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
-	cp -f -R  data/* $(DESTDIR)$(DATADIR)
-	cp -f -R  images/* $(DESTDIR)$(IMAGEDIR)
-	cp -f     metainfo/* $(DESTDIR)$(METAINFODIR)
-	# man page
 	gzip -fk -9 man/fotocx.man
 	mv -f man/fotocx.man.gz $(DESTDIR)$(MANDIR)/fotocx.1.gz
-	# desktop file and icon
-	cp -f fotocx.desktop $(DESTDIR)$(MENUDIR)
+	cp -f -R  data $(DESTDIR)$(DATADIR)
+	cp -f -R  images $(DESTDIR)$(DATADIR)
 	cp -f fotocx.png $(DESTDIR)$(ICONDIR)
+	cp -f metainfo/* $(DESTDIR)$(METAINFODIR)
 
 uninstall:
-	rm -f     $(DESTDIR)$(BINDIR)/fotocx
+	rm -f     $(DESTDIR)$(BINDIR)/fotocx*
+	rm -f     $(DESTDIR)$(MENUDIR)/fotocx*
 	rm -f -R  $(DESTDIR)$(DOCDIR)
-	rm -f     $(DESTDIR)$(MANDIR)/fotocx.*
-	rm -f     $(DESTDIR)$(MENUDIR)/fotocx.*
-	rm -f -R  $(DESTDIR)$(SHAREDIR)
-	rm -f     $(DESTDIR)$(METAINFODIR)/kornelix*
+	rm -f     $(DESTDIR)$(MANDIR)/fotocx*
+	rm -f -R  $(DESTDIR)$(DATADIR)
+	rm -f     $(DESTDIR)$(ICONDIR)/fotocx*
+	rm -f     $(DESTDIR)$(METAINFODIR)/kornelix.fotocx*
 
 clean:
 	rm -f  fotocx

=== debian/changelog ===
fotocx (24.30-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 08 May 2024 13:38:53 -0700

fotocx (24.21-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 04 Apr 2024 14:21:58 -0700

fotocx (24.11-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Feb 2024 15:59:47 -0800

fotocx (24.10-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.
  * App name change from fotoxx to fotocx

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 01 Feb 2024 18:17:03 -0800

fotoxx (23.82-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 19 Dec 2023 12:19:40 -0800

fotoxx (23.81-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 10 Dec 2023 08:53:45 -0800

fotoxx (23.80-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 03 Dec 2023 10:08:00 -0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@
override_dh_strip:
	dh_strip --no-automatic-dbgsym
	
override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotocx/copyright
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotocx/license
	rm -f $(CURDIR)/debian/tmp/usr/share/fotocx/data/README

## fotocx 24.40

=== debian/changelog ===
fotocx (24.40-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 06 Jun 2024 12:20:16 -0700

fotocx (24.30-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 08 May 2024 13:23:36 -0700

## fotocx 24.50

=== debian/changelog ===
fotocx (24.50-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 03 Jul 2024 16:08:13 -0700

## fotocx 24.60

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 CXXFLAGS += -fpermissive -Wno-write-strings 
 CXXFLAGS += -Wno-deprecated-declarations       			## champlain-tile.h broken since 2020
 CXXFLAGS += -Wno-class-memaccess                      ## new restriction Oct 2023
+CXXFLAGS += -fno-omit-frame-pointer                   ## for backtrace reliability  24.60
 
 ifeq ($(CXX), clang++)                                #  CLANG
    ifdef DEBUG

=== debian/changelog ===
fotocx (24.60-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 02 Oct 2024 08:37:25 -0700

## fotocx 24.70

=== debian/changelog ===
fotocx (24.70-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 06 Nov 2024 05:13:44 -0800

## fotocx 25.0

=== debian/changelog ===
fotocx (25.0-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 29 Mar 2025 09:01:03 -0700

fotocx (25.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Jan 2025 16:12:57 -0800

## fotocx 25.2

=== debian/changelog ===
fotocx (25.2-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 11 Jul 2025 17:57:07 -0700

fotocx (25.0-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 06 Jan 2025 16:12:57 -0800

## fotocx 25.3

=== debian/changelog ===
fotocx (25.3-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 15 Aug 2025 12:23:14 -0700

fotocx (25.2-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 11 Jul 2025 18:05:17 -0700

## fotocx 25.4

=== debian/changelog ===
fotocx (25.4-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 25 Oct 2025 13:43:39 -0700

=== debian/control ===
Source: fotocx
Section: graphics
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper-compat (= 12),
	binutils, 
    dcraw,  
    g++,
	libchamplain-gtk-0.12-dev,
	libgtk-3-dev,
	liblcms2-dev,
	libraw-dev,
	libtiff-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.kornelix.net/fotocx/fotocx.html
Vcs-Browser: https://salsa.debian.org/debian/fotocx
Vcs-Git: https://salsa.debian.org/debian/fotocx.git

Package: fotocx
Architecture: any
Depends: fotocx-common (= ${source:Version}),
	 libimage-exiftool-perl (>= 8.60),
	 xdg-utils,
	 dcraw,
	 ${misc:Depends},
	 ${shlibs:Depends},
Suggests: ffmpeg, growisofs, hugin, rawtherapee, vlc, libopenjp2-tools
Breaks: fotoxx
Replaces: fotoxx
Description: Edit photos and manage a large collection
 Navigate a large image collection with a thumbnail browser.
 View and edit image files (RAW, jpeg, png, tiff ...).
 Editing is done in 24 bits/color, output is 8 or 16 bits/color.
 Fotocx has extensive tools for edit, repair, and special effects.
 Fotocx is fast and interactive: view full image as it changes.
 Undo and redo within and across edit functions.
 File versioning: save and recall multiple edit stages.
 Select image features or areas to edit separately from background.
 Copy and paste area selections within and across images.
 Composite functions: HDR, HDF, panorama, stack, image/text montage.
 Metadata edit and report: tags, captions, dates, locations ...
 Search images based on any metadata and folder/file names or parts.
 Albums: select images and arranged order with drag and drop.
 Slide Show with animated transitions and pan/zoom.
 Scalable world map with image markers - click marker for gallery.
 Batch functions: convert, resize, upright, move, revise metatata.
 User Guide (English) describes all functions in great detail.

Package: fotocx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx
Replaces: fotoxx
Description: Edit photos and manage a large collection - common files
 Navigate a large image collection with a thumbnail browser.
 View and edit image files (RAW, jpeg, png, tiff ...).
 Editing is done in 24 bits/color, output is 8 or 16 bits/color.
 Fotocx has extensive tools for edit, repair, and special effects.
 Fotocx is fast and interactive: view full image as it changes.
 Undo and redo within and across edit functions.
 File versioning: save and recall multiple edit stages.
 Select image features or areas to edit separately from background.
 Copy and paste area selections within and across images.
 Composite functions: HDR, HDF, panorama, stack, image/text montage.
 Metadata edit and report: tags, captions, dates, locations ...
 Search images based on any metadata and folder/file names or parts.
 Albums: select images and arranged order with drag and drop.
 Slide Show with animated transitions and pan/zoom.
 Scalable world map with image markers - click marker for gallery.
 Batch functions: convert, resize, upright, move, revise metatata.
 User Guide (English) describes all functions in great detail.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://www.kornelix.net/downloads/downloads.html downloads/fotocx-([\d.]+).tar.gz

## fotocx 25.5

=== debian/changelog ===
fotocx (25.5-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 20 Nov 2025 03:56:14 -0800

## fotocx 26.1

=== debian/changelog ===
fotocx (26.1-1mx25+1) mx; urgency=medium

  * Added libjxl-dev to the depends list.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Jan 2026 05:47:23 -0800

fotocx (25.5-1mx23+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 20 Nov 2025 03:55:30 -0800

fotocx (25.4-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 25 Oct 2025 13:47:07 -0700

fotocx (25.3-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 15 Aug 2025 12:22:24 -0700

## fotocx 26.2

=== debian/changelog ===
fotocx (26.2-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 22 Jan 2026 18:43:32 -0800

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	liblcms2-dev,
 	libraw-dev,
 	libtiff-dev,
+	libjxl-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.kornelix.net/fotocx/fotocx.html
